## com.puppycrawl.tools.checkstyle.checks.javadoc
Enum JavadocUtils.JavadocTagType

    java.lang.Object
      java.lang.Enum<JavadocUtils.JavadocTagType>
          com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocUtils.JavadocTagType

All Implemented Interfaces:
  Serializable, Comparable<JavadocUtils.JavadocTagType>

Enclosing class:
  JavadocUtils

    public static enum JavadocUtils.JavadocTagType

extends Enum<JavadocUtils.JavadocTagType>

The type of Javadoc tag we want returned.

Enum Constant Summary
`ALL` all validTags.
`BLOCK` block type.
`INLINE` inline type.

Method Summary
`static JavadocUtils.JavadocTagType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JavadocUtils.JavadocTagType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOCK

    public static final JavadocUtils.JavadocTagType BLOCK

  block type.

### INLINE

    public static final JavadocUtils.JavadocTagType INLINE

  inline type.

### ALL

    public static final JavadocUtils.JavadocTagType ALL

  all validTags.

Method Detail

### values

    public static JavadocUtils.JavadocTagType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JavadocUtils.JavadocTagType c : JavadocUtils.JavadocTagType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JavadocUtils.JavadocTagType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.